<?xml version='1.0' encoding='utf-8'?>
<panel>
  <layout class="stick_to_sides_attachment" alignment="all" layout_children="true" inset="0"/>

    <container>
      <layout class="arrange_vertical_attachment" layout="130, -1" offset="0" gap="0" />
      <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />

      <!-- Here we'll have the squad status, contract type wage and contract length-->
      <container height="130">
        <layout class="arrange_vertical_attachment" layout="60, 60" offset="0" gap="5"/>
        <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="10"/>

        <!-- The first two sets of selectable objects -->
        <container>
          <layout class="arrange_horizontal_attachment" alignment="left, fill" offset="0" gap="10"/>
          <layout class="stick_to_sides_attachment" alignment="vertical" layout_children="true" inset="0"/>

          <!-- Contract Type -->
          <widget class="negotiation_term_widget" id="conP" mode="3" />

          <!-- Job -->
          <widget class="negotiation_term_widget" id="jobP" mode="3" />          

          <!-- Squad Status -->
          <widget class="negotiation_term_widget" id="squP" mode="3" />

          <!-- Transfer Start Date-->
          <widget class="negotiation_term_widget" id="traP" mode="3" />
        </container>

        <!-- The second sets of selectable objects -->
        <container>
          <layout class="arrange_horizontal_attachment" alignment="left, fill" offset="0" gap="10"/>
          <layout class="stick_to_sides_attachment" alignment="vertical" layout_children="true" inset="0"/>

          <!-- Contract Length -->
          <widget class="negotiation_term_widget" id="lenP" mode="2" />

          <!-- Wage -->
          <widget class="negotiation_term_widget" id="wagP" mode="1" />

          <!-- Loyalty Bonus -->
          <widget class="negotiation_term_widget" id="sigP" mode="1" />

          <!-- Agent Fee -->
          <widget class="negotiation_term_widget" id="ageP" mode="1" />
        </container>
      </container>

      <!-- This contains two tables, one for the bonuses one for the clauses-->
      <container class="bordered_box" appearance="boxes/plain/paper">
        <layout class="stick_to_sides_attachment" alignment="all" layout_children="true" inset="0" />
        <container class="scrolling_box">
          <container>
            <layout class="fit_children_attachment" alignment="vertical" offset="0" />
            <layout class="arrange_horizontal_attachment" layout="-1, -1" offset="10" gap="10" />
            <layout class="stick_to_sides_attachment" alignment="top" layout_children="true" inset="5" />

            <!-- The Bonuses for this contract-->
            <container class="titled_box" id="tibo">
              <translation id="title" translation_id="242354" type="use" value="Bonuses" />
              <layout class="fit_children_attachment" alignment="vertical" inset="0" />
              <layout class="arrange_vertical_attachment" alignment="top" offset="4" />
              <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true" />

              <!--Embedded Popup Menu for bonuses embedded buttons-->
              <container id="btns" embed_in_frame="true" height="30">
                <layout class="arrange_horizontal_attachment" alignment="right" embed_in_frame="true" gap="4" offset="0" />
                <layout class="stick_to_sides_attachment" alignment="top" inset="4" layout_children="true" embed_in_frame="true" />
                <layout class="stick_to_sides_attachment" alignment="top,right" embed_in_frame="true" inset="1" />

                <layout class="fit_children_attachment" alignment="vertical" embed_in_frame="true" />
                <layout class="fit_children_attachment" alignment="horizontal,fill" embed_in_frame="true" />

                <!--action buttons-->
                <widget kind="embedded_popup_button" id="bonp" sele="bonp" auto_size="all" embed_in_frame="true">
                  <translation id="text" translation_id="308452" type="use" value="Add Bonus" />
                </widget>
              </container>

              <widget class="table" id="bont" layout="-1" mode="fill_rows" stretch_to_fit_rows="true" auto_size_rows="true" fixed_size_rows="false" row_spacing="4" />
            </container>

            <!-- The Clauses for this contract bont-->
            <container class="titled_box" id="ticl">
              <translation id="title" translation_id="247434" type="use" value="Clauses" />
              <layout class="fit_children_attachment" alignment="vertical" inset="0" />
              <layout class="arrange_vertical_attachment" alignment="top" offset="4" />
              <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true" />

              <!--Embedded Popup Menu for bonuses embedded buttons-->
              <container id="btns" embed_in_frame="true" height="30">
                <layout class="arrange_horizontal_attachment" alignment="right" embed_in_frame="true" gap="4" offset="0" />
                <layout class="stick_to_sides_attachment" alignment="top" inset="4" layout_children="true" embed_in_frame="true" />
                <layout class="stick_to_sides_attachment" alignment="top,right" embed_in_frame="true" inset="1" />

                <layout class="fit_children_attachment" alignment="vertical" embed_in_frame="true" />
                <layout class="fit_children_attachment" alignment="horizontal,fill" embed_in_frame="true" />

                <!--action buttons-->
                <widget kind="embedded_popup_button" id="clap" sele="clap" auto_size="all" embed_in_frame="true">
                  <translation id="text" translation_id="308453" type="use" value="Add Clause" />
                </widget>
              </container>

              <!--Clauses are added in code-->
              <widget class="table" id="clat" layout="-1" mode="fill_rows" stretch_to_fit_rows="true" auto_size_rows="true" fixed_size_rows="false" row_spacing="4" />

            </container>
          </container>
        </container>
      </container>
    </container>
</panel>